Bug 813701 - Package Updater
Package Updater
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: James Antill
BaseOS QE Security Team
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2012-04-18 05:06 EDT by Surat Mahaboon
Modified: 2013-01-10 06:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-23 14:26:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screen , text error and file be related (105.37 KB, application/x-zip-compressed)
2012-04-18 23:00 EDT, Surat Mahaboon
no flags Details

  None (edit)
Description Surat Mahaboon 2012-04-18 05:06:19 EDT
Description of problem:
Update error

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Surat Mahaboon 2012-04-18 23:00:46 EDT
Created attachment 578494 [details]
screen , text error and file be related

Component: pirut
Summary: TBbb3d3620 repoMDObject.py:131:getData:RepoMDError: requested datatype primary not available

Traceback (most recent call last):
  File "/usr/sbin/pup", line 617, in ?
  File "/usr/sbin/pup", line 613, in main
  File "/usr/sbin/pup", line 451, in run
  File "/usr/sbin/pup", line 266, in doRefresh
    pbar = self.doRefreshRepos(destroy=False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 344, in doRefreshRepos
    self.reposSetup(pbar, thisrepo)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 308, in reposSetup
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 86, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 101, in _getTs
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 112, in _getTsInfo
    pkgSack = self.pkgSack
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 662, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 502, in _getSacks
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 260, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 187, in populate
    xml = repo_get_function()
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1550, in getPrimaryXML
    return self.retrieveMD('primary')
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1491, in retrieveMD
    return self._retrieveMD(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1495, in _retrieveMD
    thisdata = self.repoXML.getData(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/repoMDObject.py", line 131, in getData
    raise RepoMDError, "requested datatype %s not available" % type
RepoMDError: requested datatype primary not available

Local variables in innermost frame:
self: <yum.repoMDObject.RepoMD instance at 0x20180bd8>
type: primary
Comment 2 Surat Mahaboon 2012-04-18 23:01:46 EDT
solution ???
Comment 3 James Antill 2012-04-23 14:26:15 EDT
> RepoMDError: requested datatype primary not available

 This is a "can't happen" type bug, something is very wrong with the repos. configured that yum/pup are using.

Note You need to log in before you can comment on or make changes to this bug.